iterate broken in Processing/QGIS 2.16.3

2016-10-02 06:34 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.16.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23573

Description

Take the linked shapefiles, and try do a Intersection (QGIS tool) using the buffers with iterate against the land use layer. It works as

expected on QGIS 2.14.*. Fails on 2.16.*

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\gui\\AlgorithmDialog.py", line 238, in accept

    if runalgIterating(self.alg, self.iterateParam, self):

  File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\gui\\AlgorithmExecutor.py", line 90, in runalgIterating

    if runalg(alg):

  File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\gui\\AlgorithmExecutor.py", line 52, in runalg

    progress.error(e.msg)

AttributeError: 'NoneType' object has no attribute 'error'

Associated revisions

Revision 4bcdecd3 - 2016-10-04 09:50 AM - Victor Olaya

[processing] fixed iterative execution

fixes #15650

Revision b4562d14 - 2016-10-18 03:55 PM - Victor Olaya

[processing] fixed iterative execution

fixes #15650

History

#1 - 2016-10-02 07:05 PM - Giovanni Manghi

https://www.dropbox.com/s/b9yjtjrio3y91x4/int_processing_iterate.zip?dl=0

#2 - 2016-10-04 03:09 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"4bcdecd3cf87dd191c27bcb4d6419191f5ff8cb2".
